package fr.velossity.sample.device.impl;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

/**
 * Just instantiates the consumer.
 * @author C. Saint-Marcel
 * 
 */
public class Activator implements BundleActivator {
	
	ConsumerImpl myConsumer;

	/**
	 * @see BundleActivator#start(BundleContext)
	 */
	public void start(BundleContext context) throws Exception {
		myConsumer = new ConsumerImpl("consumer3");
		myConsumer.activate(context);
	}

	/**
	 * @see BundleActivator#stop(BundleContext)
	 */
	public void stop(BundleContext context) throws Exception {
		myConsumer.deactivate(context);
		myConsumer = null;
	}
}
